%define major	6
%define api	1.0
%define libname	%mklibname gdict %{api} %{major}
%define devname	%mklibname -d gdict %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-dictionary
Epoch:		1
Version:	3.10.0
Release:	%mkrel 2
Summary:	GNOME Dictionary
License:	GPLv2+ and LGPLv2
Group:		Office/Dictionary
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
Conflicts:	gnome-utils < 1:3.3.2

%description
GNOME Dictionary - Look up words in dictionary sources.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME dictionary shared library

%description -n %{libname}
This is the shared library required by the GNOME Dictionary.

%package -n %{devname}
Group:		Development/C
Summary:	GNOME dictionary library development files
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	libgdict%{api}-devel = %{epoch}:%{version}-%{release}

%description -n %{devname}
This is the shared library required by the GNOME Dictionary.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--disable-static \
	--disable-schemas-compile \
	--disable-scrollkeeper
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS AUTHORS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/gdict-%{api}/
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/libgdict-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gdict/
%{_libdir}/libgdict-%{api}.so
%{_libdir}/pkgconfig/gdict-%{api}.pc
%{_includedir}/gdict-%{api}


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1:3.10.0-2.mga4
+ Revision: 540575
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dams <dams> 1:3.10.0-1.mga4
+ Revision: 493987
- new version 3.10.0

* Wed Aug 21 2013 fwang <fwang> 1:3.9.0-1.mga4
+ Revision: 468950
- new version 3.9.0

* Sun Jul 21 2013 ovitters <ovitters> 1:3.8.0-1.mga4
+ Revision: 456877
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 1:3.6.0-2.mga3
+ Revision: 352107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - update rpm group

* Tue Sep 25 2012 ovitters <ovitters> 1:3.6.0-1.mga3
+ Revision: 297766
- update file list
- br libxml2-utils
- br itstool
- new version 3.6.0

* Tue Jun 26 2012 ovitters <ovitters> 1:3.5.2-1.mga3
+ Revision: 263895
- new version 3.5.2

* Mon Mar 26 2012 ovitters <ovitters> 1:3.4.0-1.mga2
+ Revision: 226574
- new version 3.4.0

* Sat Oct 29 2011 wally <wally> 1:3.3.2-1.mga2
+ Revision: 159568
- imported package gnome-dictionary

